Is Regression:
Subject: "Migrate all file relations from tt_content.image and pages.media" fails on missing file
Description

Trying to run the "Upgrade Wizard" part "Migrate all file relations from tt_content.image and pages.media" i get the error message
"Oops, an error occurred!" shown in the T3 standard FE error screen.

Looking at the "Administration log" I see the following errors:
23:25:51          [0]@LIVE          [5]          [0]          Core: Exception handler (WEB): Uncaught TYPO3 Exception: |
TYPO3\CMS\Core\Resource\Exception\FileDoesNotExistException thrown in file
/home/adrianfi/typo3source/typo3_src-6.0.0/typo3/sysext/core/Classes/Resource/Driver/AbstractDriver.php in line 399. Requested
URL: http://adrian.dymorz.ch/[testdir]/typo3/install/index.php?TYPO3_INSTALL[type]=update
23:25:51          [0]@LIVE          [5]          [0]          Core: Error handler (BE): PHP Warning:
rename(/home/adrianfi/public_html/adriandymorzch/[testdir]/uploads/pics/Blaue_Berge.jpg,/home/adrianfi/public_html/adriandymorzch/[testdir]/fileadmin/_migrated/pics/Blaue_Berge.jpg): No such file or directory in /home/adrianfi/ty
/[testdir]/fileadmin/_migrated/pics/Blaue_Berge.jpg): No such file or directory in
/home/adrianfi/typo3source/typo3_src-6.0.0/typo3/sysext/install/Classes/Updates/TceformsUpdateWizard.php line 198

The error looks obvious, the file seems to be missing. I wonder why a missing file breaks the whole migration process.

Related issues:
related to Core - Bug # 42882: FileDoesNotExistException thrown in update Resolved 2012-11-12

History
#1 - 2012-12-02 12:28 - Andreas Wolf

I guess this will be fixed by the patch for issue #42882. Could you test this one and give feedback in Gerrit? I'd like to get this fixed for 6.0.1.

#2 - 2012-12-02 22:28 - Adrian Dymorz

Thank you for your reply. I just tested the patch for issue #42882. With this patch applied, the error I reported is solved.

#3 - 2012-12-02 22:38 - Stefan Neufeind

On gerrit in review for #42882 it was mentioned that the fix under review there seems to also fix this issue here. Please consider in tests or when finally
closing these bugs.

#4 - 2012-12-05 10:53 - Dmitry Dulepov
- Status changed from New to Closed
http://adrian.dymorz.ch/[testdir]/typo3/install/index.php?TYPO3_INSTALL[type]=update


Duplicate of #42882.
